define([], {
    "HMI.SolidColorType": {
        "description": {},
        "type": "string"
    },
    "HMI.GradientColorType": {
        "description": {},
        "type": "string"
    },
    "LREAL": {
        "description": {
            "min": -1.7976931348623157E+308,
            "max": 1.7976931348623157E+308,
            "isInteger": false
        },
        "type": "number"
    },
    "BOOL": {
        "description": {},
        "type": "boolean"
    },
    "DINT": {
        "description": {
            "min": -2147483648.0,
            "max": 2147483647.0,
            "isInteger": true
        },
        "type": "number"
    },
    "DWORD": {
        "description": {
            "min": 0.0,
            "max": 4294967295.0,
            "isInteger": true
        },
        "type": "number"
    },
    "DATE_AND_TIME": {
        "description": {},
        "type": "date"
    },
    "STRING": {
        "description": {},
        "type": "string"
    },
    "LINT": {
        "description": {
            "min": -9.2233720368547758E+18,
            "max": 9.2233720368547758E+18,
            "isInteger": true
        },
        "type": "number"
    },
    "BYTE": {
        "description": {
            "min": 0.0,
            "max": 255.0,
            "isInteger": true
        },
        "type": "number"
    },
    "HMI.RowStyle": {
        "description": {
            "RowHeight": "STRING",
            "BorderThickness": "LREAL",
            "BorderColor": "HMI.SolidColorType",
            "BackgroundColor": "HMI.GradientColorType",
            "FontName": "STRING",
            "FontSize": "BYTE",
            "TextColor": "HMI.SolidColorType",
            "FontItalic": "BOOL",
            "FontBold": "BOOL",
            "FontUnderlined": "BOOL"
        },
        "type": "object"
    },
    "HMI.ResourceType": {
        "description": {},
        "type": "string"
    },
    "HMI.BorderStyleType": {
        "description": {
            "values": [
                "Solid",
                "Dash",
                "Dot",
                "None"
            ],
            "displayValues": [
                "Непрерывный",
                "Пунктир",
                "Точка",
                "Нет"
            ]
        },
        "type": "enum"
    },
    "HMI.TileType": {
        "description": {
            "values": [
                "No",
                "Tile",
                "Fill",
                "Center"
            ],
            "displayValues": [
                "Нет",
                "Мозаика",
                "Заполнение",
                "Центр"
            ]
        },
        "type": "enum"
    },
    "HMI.DockType": {
        "description": {
            "values": [
                "Up",
                "Down",
                "Right",
                "Left"
            ],
            "displayValues": [
                "Верх",
                "Низ",
                "Право",
                "Лево"
            ]
        },
        "type": "enum"
    },
    "HMI.HorizontalAlignType": {
        "description": {
            "values": [
                "Left",
                "Center",
                "Right"
            ],
            "displayValues": [
                "Лево",
                "Центр",
                "Право"
            ]
        },
        "type": "enum"
    },
    "HMI.VerticalAlignType": {
        "description": {
            "values": [
                "Top",
                "Center",
                "Bottom"
            ],
            "displayValues": [
                "Верх",
                "Центр",
                "Низ"
            ]
        },
        "type": "enum"
    },
    "HMI.OrientationType": {
        "description": {
            "values": [
                "Horizontal",
                "Vertical"
            ],
            "displayValues": [
                "Горизонтально",
                "Вертикально"
            ]
        },
        "type": "enum"
    },
    "HMI.HorizontalAlignTypeExt": {
        "description": {
            "values": [
                "Left",
                "Center",
                "Right",
                "Stretch"
            ],
            "displayValues": [
                "Лево",
                "Центр",
                "Право",
                "Растянуть"
            ]
        },
        "type": "enum"
    },
    "HMI.VerticalAlignTypeExt": {
        "description": {
            "values": [
                "Top",
                "Center",
                "Bottom",
                "Stretch"
            ],
            "displayValues": [
                "Верх",
                "Центр",
                "Низ",
                "Растянуть"
            ]
        },
        "type": "enum"
    },
    "SizeType": {
        "description": {
            "values": [
                "Pixel",
                "Relative"
            ],
            "displayValues": [
                "Абсолютно",
                "Относительно"
            ]
        },
        "type": "enum"
    },
    "ProportionType": {
        "description": {
            "values": [
                "No",
                "Width",
                "Height",
                "Min",
                "Max"
            ],
            "displayValues": [
                "Нет",
                "По ширине",
                "По высоте",
                "По минимальной стороне",
                "По максимальной стороне"
            ]
        },
        "type": "enum"
    },
    "HMI.SizeToContentType": {
        "description": {
            "values": [
                "RealSize",
                "SetSize",
                "Crop",
                "Scroll"
            ],
            "displayValues": [
                "Исходный размер",
                "Подогнать",
                "Обрезать",
                "Прокрутить"
            ]
        },
        "type": "enum"
    },
    "HMI.DateTimeType_Full": {
        "description": {
            "values": [
                "Date_Type",
                "DateTime_Type",
                "TimeDate_Type",
                "Time_Type"
            ],
            "displayValues": [
                "Дата",
                "Дата Время",
                "Время Дата",
                "Время"
            ]
        },
        "type": "enum"
    },
    "HMI.LayoutType": {
        "description": {
            "values": [
                "Up",
                "Down",
                "Left",
                "Right"
            ],
            "displayValues": [
                "Верх",
                "Низ",
                "Лево",
                "Право"
            ]
        },
        "type": "enum"
    },
    "HMI.FilterCombineType": {
        "description": {
            "values": [
                "Or",
                "And"
            ],
            "displayValues": [
                "Или",
                "И"
            ]
        },
        "type": "enum"
    },
    "HMI.FilterCompareType": {
        "description": {
            "values": [
                "Contains",
                "==",
                ">",
                "<",
                ">=",
                "<=",
                "!="
            ],
            "displayValues": [
                "Содержит",
                "==",
                ">",
                "<",
                ">=",
                "<=",
                "!="
            ]
        },
        "type": "enum"
    },
    "HMI.FilterConditionType": {
        "description": {
            "values": [
                "Compare",
                "OfType",
                "RelatedTo"
            ],
            "displayValues": [
                "Сравнение значений",
                "Принадлежность типу",
                "Отношение к узлу"
            ]
        },
        "type": "enum"
    },
    "HMI.JOURNALCONDITION": {
        "description": {
            "Value": "STRING",
            "CompareType": "HMI.FilterCompareType",
            "MessageField": "STRING",
            "ConditionType": "HMI.FilterConditionType"
        },
        "type": "object"
    },
    "HMI.JournalConditions": {
        "description": {
            "arrayItemType": "HMI.JOURNALCONDITION",
            "dimensions": [
                [
                    1,
                    1
                ]
            ]
        },
        "type": "array"
    },
    "HMI.JOURNALFILTER": {
        "description": {
            "Enabled": "BOOL",
            "CombineType": "HMI.FilterCombineType",
            "CanDisable": "BOOL",
            "Condition": "HMI.JournalConditions"
        },
        "type": "object"
    },
    "HMI.JournalFilters": {
        "description": {
            "arrayItemType": "HMI.JOURNALFILTER",
            "dimensions": [
                [
                    1,
                    1
                ]
            ]
        },
        "type": "array"
    },
    "INT": {
        "description": {
            "min": -32768.0,
            "max": 32767.0,
            "isInteger": true
        },
        "type": "number"
    },
    "HMI.OpenDialogPoint": {
        "description": {
            "values": [
                "ElementOffset",
                "PointerOffset",
                "WindowOffset",
                "Center"
            ],
            "displayValues": [
                "Смещение от элемента",
                "Смещение от указателя",
                "По заданным",
                "По центру"
            ]
        },
        "type": "enum"
    },
    "HMI.KeyboardType": {
        "description": {
            "values": [
                "English",
                "Russian",
                "NumPad"
            ],
            "displayValues": [
                "Английский",
                "Русский",
                "Цифры"
            ]
        },
        "type": "enum"
    },
    "HMI.KeyboardVisibilityType": {
        "description": {
            "values": [
                "None",
                "Always",
                "OnFocus"
            ],
            "displayValues": [
                "Нет",
                "Всегда",
                "При фокусе"
            ]
        },
        "type": "enum"
    },
    "HMI.AttachType": {
        "description": {
            "values": [
                "Control",
                "Parent"
            ],
            "displayValues": [
                "Контрол",
                "Родитель"
            ]
        },
        "type": "enum"
    },
    "REAL": {
        "description": {
            "min": -3.4028234663852886E+38,
            "max": 3.4028234663852886E+38,
            "isInteger": false
        },
        "type": "number"
    },
    "HMI.OperationType": {
        "description": {
            "values": [
                "Move",
                "Add",
                "Sub",
                "Mul",
                "Div"
            ],
            "displayValues": [
                "Присвоить",
                "Добавить",
                "Отнять",
                "Умножить",
                "Разделить"
            ]
        },
        "type": "enum"
    },
    "TIME": {
        "description": {},
        "type": "time"
    },
    "HMI.FillDirection": {
        "description": {
            "values": [
                "Up",
                "Down"
            ],
            "displayValues": [
                "Верх",
                "Низ"
            ]
        },
        "type": "enum"
    },
    "HMI.TRENDPENLIMIT": {
        "description": {
            "DataSource": "LREAL",
            "Color": "HMI.SolidColorType",
            "BackgroundColor": "HMI.GradientColorType",
            "Thickness": "LREAL",
            "LineStyle": "HMI.BorderStyleType",
            "FillDirection": "HMI.FillDirection",
            "IsVisible": "BOOL",
            "Opacity": "LREAL"
        },
        "type": "object"
    },
    "HMI.TrendPenLimits": {
        "description": {
            "arrayItemType": "HMI.TRENDPENLIMIT",
            "dimensions": [
                [
                    1,
                    1
                ]
            ]
        },
        "type": "array"
    },
    "HMI.LineJoin": {
        "description": {
            "values": [
                "Line",
                "StairsUp"
            ],
            "displayValues": [
                "Линия",
                "Ступенька"
            ]
        },
        "type": "enum"
    },
    "HMI.TRENDPEN": {
        "description": {
            "PenLimits": "HMI.TrendPenLimits",
            "MinY": "LREAL",
            "MaxY": "LREAL",
            "Color": "HMI.SolidColorType",
            "LineStyle": "HMI.BorderStyleType",
            "DataSource": "STRING",
            "Unit": "STRING",
            "YFormat": "STRING",
            "TickCountY": "INT",
            "Thickness": "LREAL",
            "DrawConstant": "BOOL",
            "IsVisible": "BOOL",
            "LineJoin": "HMI.LineJoin",
            "Autoscale": "BOOL"
        },
        "type": "object"
    },
    "HMI.TrendPens": {
        "description": {
            "arrayItemType": "HMI.TRENDPEN",
            "dimensions": [
                [
                    1,
                    5
                ]
            ]
        },
        "type": "array"
    },
    "HMI.AnchorType": {
        "description": {
            "values": [
                "None",
                "Up",
                "Down",
                "Right",
                "Left"
            ],
            "displayValues": [
                "Нет",
                "Верх",
                "Низ",
                "Право",
                "Лево"
            ]
        },
        "type": "enum"
    },
    "UINT": {
        "description": {
            "min": 0.0,
            "max": 65535.0,
            "isInteger": true
        },
        "type": "number"
    },
    "HMI.SortType": {
        "description": {
            "values": [
                "No",
                "Asc",
                "Desc"
            ],
            "displayValues": [
                "Нет",
                "По возрастанию",
                "По убыванию"
            ]
        },
        "type": "enum"
    },
    "HMI.JOURNALCOLUMN": {
        "description": {
            "DisplayName": "STRING",
            "ColumnWidth": "STRING",
            "Field": "STRING",
            "FieldType": "STRING",
            "ValueFormat": "STRING",
            "Sort": "HMI.SortType",
            "SortPosition": "BYTE",
            "Visibility": "BOOL",
            "HorizontalAlign": "HMI.HorizontalAlignType"
        },
        "type": "object"
    },
    "HMI.JournalColumns": {
        "description": {
            "arrayItemType": "HMI.JOURNALCOLUMN",
            "dimensions": [
                [
                    1,
                    5
                ]
            ]
        },
        "type": "array"
    }
})